function Epoch_Space = Epochs(levels_epochvar,Epoch_Variables)
%This function creates all epochs, based on the epoch variables defined. 

%Initializing epoch variables: 
EpochVar_Oil_Price = zeros(1,levels_epochvar(1));
EpochVar_Mod_Size = zeros(1,levels_epochvar(2));
EpochVar_Water_Depth = zeros(1,levels_epochvar(3));
EpochVar_Tie_In = zeros(1,levels_epochvar(4));
EpochVar_Fibrerope = zeros(1,levels_epochvar(5));

%Defining all epoch variables: 
for i = 1:max(levels_epochvar)
    if i <= levels_epochvar(1)
        EpochVar_Oil_Price(i) = Epoch_Variables(i,1);
    end
    if i <= levels_epochvar(2)
        EpochVar_Mod_Size(i) = Epoch_Variables(i,2);
    end
    if i <= levels_epochvar(3)
        EpochVar_Water_Depth(i) = Epoch_Variables(i,3);
    end
    if i <= levels_epochvar(4)
        EpochVar_Tie_In(i) = Epoch_Variables(i,4);
    end
    if i <= levels_epochvar(5)
        EpochVar_Fibrerope(i) = Epoch_Variables(i,5);
    end
end
%Generating all possible epochs:
EpochVars = {EpochVar_Oil_Price, EpochVar_Mod_Size, ...
             EpochVar_Water_Depth, EpochVar_Tie_In, ...
             EpochVar_Fibrerope};
[a b c d e] = ndgrid(EpochVars{:});
Epoch_Space = [a(:) b(:) c(:) d(:) e(:)];
end