function [Era_Description_Expectations,Era_Epoch_Progression] = ...
    EraConstruction(Epoch_Space)
%This function constructs eras that are aligned with the stakeholder
%perception of future uncertainty. The output generated is a selection 
%of expected epoch variable progression. The second output variable 
%generated an array with the numbers for the epochs the era consists of. 

%Number of alternative eras to be evaluated: 
num_eras = 5;
%Initializing: 
[num_epochs,epoch_vars] = size(Epoch_Space);
Era_Description_Expectations = zeros(5,epoch_vars,num_eras);
Era_Epoch_Progression = zeros(5,num_eras);

for e = 1:num_eras
    %Era nr. 1:
    if e == 1
        %1-5 years: Oil price 70$. Initial contract secured. 
        Era_Epoch_Progression(1,e) = 3;
        %6-10 years: Oil price 10$. No change from initial contractual
        %requirements. 
        Era_Epoch_Progression(2,e) = 1;            
        %11-15 years: Oil price 40$. Tie in need. 
        Era_Epoch_Progression(3,e) = 28;            
        %16-20 years: Oil price 70$. 2000 meter water depth. Tie in need. 
        Era_Epoch_Progression(4,e) = 51; 
        %21-25 years: Oil price 100$. 2000 meter water depth. Tie in need. 
        Era_Epoch_Progression(5,e) = 52; 
    %Era nr. 2:     
    elseif e == 2
        %1-5 years: Oil price 70$. Initial contract secured. 
        Era_Epoch_Progression(1,e) = 3;
        %6-10 years: Oil price 40$. Module size increase: 250 tonnes. 
        Era_Epoch_Progression(2,e) = 6;
        %11-15 years: Oil price 10$. Module size 250 tonnes. 
        Era_Epoch_Progression(3,e) = 5;
        %16-20 years: Oil price 40$. Module size 250 tonnes. 
        Era_Epoch_Progression(4,e) = 6;
        %21-25 years. Oil price 70$. Module size increase: 300 tonnes. 
        Era_Epoch_Progression(5,e) = 11;
    %Era nr. 3:     
    elseif e == 3
        %1-5 years: Oil price 70$. Initial contract secured. 
        Era_Epoch_Progression(1,e) = 3;
        %6-10 years: Oil price 70$. Module size increase: 300 tonnes. 
        Era_Epoch_Progression(2,e) = 11;
        %11-15 years: Oil price 40$. Module size 300 tonnes. 2000 meter
        %water depth. 
        Era_Epoch_Progression(3,e) = 22;
        %16-20 years: Oil price 70$. Module size 300 tonnes. 3000 meter
        %water depth. 
        Era_Epoch_Progression(4,e) = 35;
        %21-25 years. Oil price 70$. Module size 300 tonnes. 3000 meter
        %water depth. Fibre rope technology. 
        Era_Epoch_Progression(5,e) = 107;
    %Era nr. 4: 
    elseif e == 4
        %1-5 years: Oil price 70$. Initial contract secured. 
        Era_Epoch_Progression(1,e) = 3;
        %6-10 years: Oil price 100$. 3000 meter water depth. 
        Era_Epoch_Progression(2,e) = 12;
        %11-15 years: Oil price 70$. Module size increase: 300 tonnes. 
        %3000 meter water depth. Tie in need. 
        Era_Epoch_Progression(3,e) = 70;
        %16-20 years: Oil price 70$. Module size 300 tonnes. 
        %3000 meter water depth. Tie in need. Fibre rope technology. 
        Era_Epoch_Progression(4,e) = 143;
        %21-25 years. Oil price 40$. Module size 300 tonnes. 
        %3000 meter water depth. Fibre rope technology.
        Era_Epoch_Progression(5,e) = 106;
    %Era nr. 5:
    elseif e == 5
        %1-5 years: Oil price 70$. Initial contract secured. 
        Era_Epoch_Progression(1,e) = 3;
        %6-10 years: Oil price 100$. Module size increase: 300 tonnes. Tie
        %in need. 
        Era_Epoch_Progression(2,e) = 72;
        %11-15 years: Oil price 10$. Module size decrease: 250 tonnes. Tie
        %in need. 
        Era_Epoch_Progression(3,e) = 65;
        %16-20 years: Oil price 40$. Module size 250 tonnes. 2000 meter 
        %water depth. Tie in need. 
        Era_Epoch_Progression(4,e) = 54;
        %21-25 years. Oil price 40$. Module size 200 tonnes. 3000 meter
        %water depth. Tie in need. 
        Era_Epoch_Progression(5,e) = 50;
    end
end

%Generates the epoch variables as they evolve through each of the eras
%specified. 
for i = 1:5
    for j = 1:epoch_vars
        for e = 1:num_eras
            Era_Description_Expectations(i,j,e) = ...
                Epoch_Space(Era_Epoch_Progression(i,e),j);
        end
    end
end
end