%This script performs the life cycle path analysis (Step 7 of the RSC
%method). 

%% Step 7 of RSC: Lifecycle path analysis with flexibility. 
%Selecting era for current Monte Carlo simulation run: 
[era] = MonteCarloEra(n);

%Monte Carlo simulation of time charter (day) rates:
Time_Charter_Contract = MonteCarloTimeCharter...
    (Time_Charter_Rates,T_life,T_con,n,dT,MR_rate,StD,...
    OPEX_Daily,era,Era_Epoch_Progression,All_Contracts_Availability);

%Calculating ENPV for design "Design_Selected": Inflexible design valuation. 
[NPV_Vessel_Inflexible,Contract_Inflexible,Mean_NPV_Inflexible] ...
    = InflexibleVesselNPV(Era_Epoch_Progression,...
    All_Contracts,era,Design_Selected,T_con,Time_Charter_Contract,...
    CAPEX_Daily,OPEX_Daily,r_discount);

%Defining transition costs and rules:
[Transition,Transition_Cost] = TransitionRules...
    (Design_Space,Total_Deck_Area,CAPEX_DV,Design_Variables,...
    T_life,T_con,cost_factor_remove,cost_factor_install);

%Calculating ENPV for design "Design_Selected": Flexible design valuation.
%Assuming transitions are allowed according to transition rules. 
[NPV_Vessel_Flexible,Contract_Flex,Design_Transition,...
    Mean_NPV_Flexible] = FlexibleVesselNPV(Design_Selected,...
    All_Contracts,Era_Epoch_Progression,era,Transition,Transition_Cost,...
    T_con,Time_Charter_Contract,CAPEX_Daily,OPEX_Daily,r_discount);