function [Total_Utility] = MultiEpoch(Utility,Design_Space)
%This function calculates the average utility for each design across all 
%epochs weighting all epochs as equally likely to occur.

%Initializing:
[num_epochs,num_designs] = size(Utility);
[num_designs,design_vars] = size(Design_Space);
Total_Utility = zeros(num_designs,1);

%Calculates the "total" utility with equal weight on all epochs. 
for i = 1:num_epochs
    for j = 1:num_designs
        Total_Utility(j) = sum(Utility(:,j))/num_epochs;
    end
end
end