function [Utility_Era,Total_Utility_Era] = MultiEpochEraAnalysis...
    (Utility,Era_Epoch_Progression)
%This function calculates the utility for each design weighting all epochs
%in each era, thus finding the total utility of a design through an era.

%Initializing: 
[num_epochs,num_designs] = size(Utility);
[num_periods,num_eras] = size(Era_Epoch_Progression);
Utility_Era = zeros(num_eras,num_designs);
Total_Utility_Era = zeros(1,num_designs);

%Calculates the "total utility" for each design for each era: 
for i = 1:num_eras
    for d = 1:num_designs
        for e = 1:num_periods
            Utility_Era(i,d) = ...
                sum(Utility(Era_Epoch_Progression(:,i),d))/num_periods;
        end
    end
end
%Calculates the total weighted utility for all designs accounting for
%all eras:
for d = 1:num_designs
    Total_Utility_Era(d) = mean2(Utility_Era(:,d));
end
end