function [IMR_Contract_VR,SURF_Contract_VR,LWI_Contract_VR,...
    DSV_Contract_VR] = ValueRobustContracts...
    (IMR_Contract,SURF_Contract,LWI_Contract,DSV_Contract,Design_Space,...
    Value_Robust_Design,Value_Robust_Design_Space,Epoch_Space)
%This function defines the feasibility of each contract in each epoch for
%the designs that were found passively value robust in the multi-eopch
%analysis. 


[num_epochs,epoch_vars] = size(Epoch_Space);
[num_designs,design_vars] = size(Design_Space);
[num_designs_1,design_vars] = size(Value_Robust_Design_Space);

IMR_Contract_VR = zeros(num_epochs,num_designs_1);
SURF_Contract_VR = zeros(num_epochs,num_designs_1);
LWI_Contract_VR = zeros(num_epochs,num_designs_1);
DSV_Contract_VR = zeros(num_epochs,num_designs_1);


for i = 1:num_epochs
    for j = 1:num_designs
        for d = 1:num_designs_1
            if Value_Robust_Design(d,1) == j
                IMR_Contract_VR(i,d) = IMR_Contract(i,j);
                SURF_Contract_VR(i,d) = SURF_Contract(i,j);
                LWI_Contract_VR(i,d) = LWI_Contract(i,j);
                DSV_Contract_VR(i,d) = DSV_Contract(i,j);
            end
        end
    end
end


end

